libetonyek::IWORKWrapElement Class Reference documentation

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKWrapElement Class Reference

`#include <IWORKWrapElement.h>`

Inheritance diagram for libetonyek::IWORKWrapElement:

## Public Member Functions
| IWORKWrapElement (IWORKXMLParserState &state, boost::optional< IWORKWrap > &wrap)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Protected Member Functions
void | attribute (int name, const char *value) override
| Process an attribute.
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.

## Private Member Functions
| IWORKWrapElement (const IWORKWrapElement &)
IWORKWrapElement & | operator= (const IWORKWrapElement &)

## Private Attributes
boost::optional< IWORKWrap > & | m_wrap

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKWrapElement() [1/2]

libetonyek::IWORKWrapElement::IWORKWrapElement | ( | IWORKXMLParserState & | state,
|  | boost::optional< IWORKWrap > & | wrap )

Referenced by IWORKWrapElement(), and operator=().

## ◆ IWORKWrapElement() [2/2]

libetonyek::IWORKWrapElement::IWORKWrapElement | ( | const IWORKWrapElement & |  | ) |
| private

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKWrapElement::attribute | ( | int | name,
|  | const char * | value )
| overrideprotectedvirtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKWrapElement::element | ( | int | name | ) |
| overrideprotectedvirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ operator=()

IWORKWrapElement & libetonyek::IWORKWrapElement::operator= | ( | const IWORKWrapElement & |  | ) |
| private

## Member Data Documentation

## ◆ m_wrap

boost::optional<IWORKWrap>& libetonyek::IWORKWrapElement::m_wrap
| private

Referenced by element(), and IWORKWrapElement().

The documentation for this class was generated from the following files:

- IWORKWrapElement.h
- IWORKWrapElement.cpp